Skip to main content
`Ctrl`+`K`

# PetscLayoutGetRanges

gets the ranges of values owned by all processes

## Synopsis

    #include "petscis.h"
    PetscErrorCode PetscLayoutGetRanges(PetscLayout map, const PetscInt *range[])

Not Collective

## Input Parameter

- map - pointer to the map

## Output Parameter

- range - start of each processors range of indices (the final entry is one more than the last index on the last process). The length of the array is one more than the number of processes in the MPI communicator owned by `map`

## Note

Call this after the call to `PetscLayoutSetUp()`

## Fortran Notes

      PetscInt, pointer :: range(:)

Call `PetscLayoutRestoreRanges()` when no longer needed.

## See Also

PetscLayout, `PetscLayoutCreate()`, `PetscLayoutSetLocalSize()`, `PetscLayoutGetLocalSize()`, `PetscLayoutSetSize()`, `PetscLayoutGetSize()`, `PetscLayoutGetRange()`, `PetscLayoutSetBlockSize()`, `PetscLayoutSetUp()`

## Level

developer

## Location

src/vec/is/utils/pmap.c

Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages